	import * as THREE from 'three';

	// scw
	export function scwfast(length=2200) {
		const SCWSR = new THREE.Object3D();
		const dmaterial = new THREE.MeshLambertMaterial({color: 0xf0f0f0});
		const dmaterial2 = new THREE.MeshLambertMaterial({color: 0xffffff});
		const d1geometry = new THREE.CylinderGeometry(700, 700, length, 35);
		const d1mesh = new THREE.Mesh(d1geometry, dmaterial);
		SCWSR.add(d1mesh);				
		SCWSR.rotateX(Math.PI * 0.5);
		SCWSR.rotatedX = true;	

		// left
		const lrgeometry = new THREE.CylinderGeometry(750, 750, 100, 65);
		const d2mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d2mesh.position.set(0, -length/2-50, 0);
		SCWSR.add(d2mesh);
	

		// right
		const d3mesh = new THREE.Mesh(lrgeometry, dmaterial);
		d3mesh.position.set(0, length/2+50, 0);
		SCWSR.add(d3mesh);
		
		// up1
		const udgeometry = new THREE.CylinderGeometry(200, 200, 700, 25);
		const d4mesh = new THREE.Mesh(udgeometry, dmaterial);
		d4mesh.rotateX(Math.PI * 0.5);
		d4mesh.rotateY(Math.PI * 1);
		d4mesh.rotateZ(Math.PI * 1);
		d4mesh.position.set(0, -600 , -770);		
		SCWSR.add(d4mesh);

		// up2
		const udgeometry2 = new THREE.CylinderGeometry(200, 200, 400, 25);
		const d5mesh = new THREE.Mesh(udgeometry2, dmaterial);
		d5mesh.rotateX(Math.PI * 0.5);
		d5mesh.rotateY(Math.PI * 1);
		d5mesh.rotateZ(Math.PI * 1);
		d5mesh.position.set(0, 0 , -730);		
		SCWSR.add(d5mesh);

		//up3
		const udgeometry2g = new THREE.CylinderGeometry(200, 200, 700, 25);
		const d6mesh = new THREE.Mesh(udgeometry2g, dmaterial);
		d6mesh.rotateX(Math.PI * 0.5);
		d6mesh.rotateY(Math.PI * 1);
		d6mesh.rotateZ(Math.PI * 1);
		d6mesh.position.set(0, 600 , -730);		
		SCWSR.add(d6mesh);	
		
		//cubo1
		const cube1 = new THREE.BoxGeometry(150, 150, 150);
		const d7mesh = new THREE.Mesh(cube1, dmaterial2);
		d7mesh.position.set(-610, 0 , -200);
		SCWSR.add(d7mesh);	

		return SCWSR;
	}
